<!DOCTYPE html>
<html>
	<head>
		<script>
			navigator.geolocation.getCurrentPosition(getWeather)

			function getWeather(position) {
				let lat = position.coords.latitude
				let lon = position.coords.longitude
				console.log(position)

				let xmlHttp = new XMLHttpRequest()
				xmlHttp.onreadystatechange = function() {
					if (xmlHttp.readyState == 4 && xmlHttp.status == 200) {
							let data = JSON.parse(xmlHttp.responseText)
							console.log("Data Received:")
							console.log(data)
							let gizeel = ((data.main.temp - 40.0) * 2.2).toFixed(1)
							updateWidget(gizeel, data.weather[0].icon, data.name)
						}
				}

				console.log("Getting weather...")
				console.log("https://api.openweathermap.org/data/2.5/weather?lat=" + lat + "&lon=" + lon + "&units=imperial&appid=b90c16822f75b4aabfd2348deba65f6d")

				xmlHttp.open("GET", "https://api.openweathermap.org/data/2.5/weather?lat=" + lat + "&lon=" + lon + "&units=imperial&appid=b90c16822f75b4aabfd2348deba65f6d", true);
				xmlHttp.send(null);
			}

			function updateWidget(temp, icon, city) {
				document.getElementById("loading").setAttribute("class", "hidden")
				document.getElementById("widget").setAttribute("class", "icon-"+icon)
				document.getElementById("temp").innerHTML = temp
				document.getElementById("weather-icon").setAttribute("src", "https://openweathermap.org/img/wn/"+icon+"@2x.png")
				document.getElementById("city").innerHTML = city
			}
		</script>
		<style>
			body {
				margin: 2vw;
				width: 96vw;
				height: 100vh;
				background-image: linear-gradient(gray, black);
			}
			.icon-01d {
				background-color: #ffdf00;
			}
			.icon-02d {
				background-color: #00adff;
			}
			.icon-03d {
				background-color: #00adff;
			}
			.icon-04d {
				background-color: #a9a9a9;
			}
			.icon-09d {
				background-color: #005fd4;
			}
			.icon-10d {
				background-color: #00adff;
			}
			.icon-11d {
				background-color: #0048a0;
			}
			.icon-13d {
				background-color: #cecece;
			}
			.icon-50d {
				background-color: #cecece;
			}
			.icon-01n {
				background-color: #0050c7;
			}
			.icon-02n {
				background-color: #5701a7;
			}
			.icon-03n {
				background-color: #5701a7;
			}
			.icon-04n {
				background-color: #5701a7;
			}
			.icon-09n {
				background-color: #5701a7;
			}
			.icon-10n {
				background-color: #5701a7;
			}
			.icon-11n {
				background-color: #5701a7;
			}
			.icon-13n {
				background-color: #797879;
			}
			.icon-50n {
				background-color: #797879;
			}
			.hidden {
				display: none;
			}
			#widget {
				font-family: sans-serif;
				border-radius: 10vw;
				padding 3vw;
				color: white;
			}
			#city {
				padding-left: 7vw;
				font-size: 10vw;
			}
			#tempbox {
				font-size: 20vw;
			}
			#weather-icon {
				height: 15vw;
				width: 15vw;
			}
			#temp {
				
			}
			#loading {
				margin: 10vw;
				color: white;
				font-size: 5vw;
				font-family: sans-serif;
			}
		</style>
	</head>
	<body>
		<div id="loading">Loading...</div>
		<div id="widget" class="hidden">
			<div id="city"></div>
			<div id="tempbox">
				<img id="weather-icon" src="" />
				<span id="temp"></span> &deg;G
			</div>
		</div>
	</body>
</html>